Subject: Re: [v2] atmel: Remove open-coded and wrong strcasecmp

From: Kalle Valo <[email-masked]>
Date: Fri, 23 Jan 2015 19:40:23 +0000 (UTC)

> The kernel's string library does in fact have strcasecmp, at least
> since ded220bd8f08 ("[STRING]: Move strcasecmp/strncasecmp to
> lib/string.c"). Moreover, this open-coded version is in fact wrong: If
> the strings only differ in their last character, a and b have already
> been incremented to point to the terminating NUL bytes, so they would
> wrongly be treated as equal.
> 
> Signed-off-by: Rasmus Villemoes <[email-masked]>

Thanks, applied to wireless-drivers-next.git. I just remove the useless "net:
wireless:" from the title. People, PLEASE stop using that.

Kalle Valo